pkcs11h-engines.h File Reference
Engines interface

pkcs11-helper engines definitions. More...

Go to the source code of this file.

## Classes

struct | pkcs11h_sys_engine_s
| System engine. More...
struct | pkcs11h_crypto_engine_s
| Crypto engine. More...

## Macros

#define | PKCS11H_ENGINE_CRYPTO_AUTO ((pkcs11h_engine_crypto_t *)0)
#define | PKCS11H_ENGINE_CRYPTO_OPENSSL ((pkcs11h_engine_crypto_t *)1)
#define | PKCS11H_ENGINE_CRYPTO_GNUTLS ((pkcs11h_engine_crypto_t *)2)
#define | PKCS11H_ENGINE_CRYPTO_CRYPTOAPI ((pkcs11h_engine_crypto_t *)3)
#define | PKCS11H_ENGINE_CRYPTO_WIN32 ((pkcs11h_engine_crypto_t *)3)
#define | PKCS11H_ENGINE_CRYPTO_NSS ((pkcs11h_engine_crypto_t *)4)
#define | PKCS11H_ENGINE_CRYPTO_POLARSSL ((pkcs11h_engine_crypto_t *)5)
#define | PKCS11H_ENGINE_CRYPTO_MBEDTLS ((pkcs11h_engine_crypto_t *)5)
#define | PKCS11H_ENGINE_CRYPTO_GPL ((pkcs11h_engine_crypto_t *)10)

## Typedefs

typedef struct pkcs11h_sys_engine_s | pkcs11h_engine_system_t
| System engine.
typedef struct pkcs11h_crypto_engine_s | pkcs11h_engine_crypto_t
| Crypto engine.

## Functions

CK_RV | pkcs11h_engine_setSystem (IN const pkcs11h_engine_system_t *const engine)
| Set system engine to be used.
CK_RV | pkcs11h_engine_setCrypto (IN const pkcs11h_engine_crypto_t *const engine)
| Set crypto engine to be used.

## Detailed Description

pkcs11-helper engines definitions.

Author
  Alon Bar-Lev alon..nosp@m.barl.nosp@m.ev@gm.nosp@m.ail..nosp@m.com

See also
  Engines interface.

pkcs11-helper, Copyright (C) Alon Bar-Lev <alon.barlev@gmail.com> |